ResourceNotFoundException (Velocity 1.7 API)
Keywords: org.apache.velocity.exception.ResourceNotFoundException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.exception
Class ResourceNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.velocity.exception.VelocityException
                      org.apache.velocity.exception.ResourceNotFoundException

All Implemented Interfaces:
  Serializable

public class ResourceNotFoundException
extends VelocityException

Application-level exception thrown when a resource of any type isn't found by the Velocity engine.
When this exception is thrown, a best effort will be made to have useful information in the exception's message. For complete information, consult the runtime log.

Version:
  $Id: ResourceNotFoundException.java 685685 2008-08-13 21:43:27Z nbubna $
Author:
  Geir Magnusson Jr., Daniel Rall
See Also:
  Serialized Form

Constructor Summary
`ResourceNotFoundException(String exceptionMessage)`
`ResourceNotFoundException(String exceptionMessage, Throwable t)`
`ResourceNotFoundException(Throwable t)`

Methods inherited from class org.apache.velocity.exception.VelocityException
`getWrappedThrowable`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceNotFoundException

    public ResourceNotFoundException(String exceptionMessage)

See Also:
  `VelocityException.VelocityException(String)`

### ResourceNotFoundException

    public ResourceNotFoundException(String exceptionMessage,
                                     Throwable t)

Since:
  1.5
See Also:
  `VelocityException.VelocityException(String, Throwable)`

### ResourceNotFoundException

    public ResourceNotFoundException(Throwable t)

Since:
  1.5
See Also:
  `VelocityException.VelocityException(Throwable)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.